.\"	$NetBSD: locate.conf.5,v 1.6 2005/10/05 06:29:03 hubertf Exp $
.\"
.\" Copyright (c) 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by ITOH Yasufumi.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 1, 2005
.Dt LOCATE.CONF 5
.Os
.Sh NAME
.Nm locate.conf
.Nd locate database configuration file
.Sh DESCRIPTION
The
.Nm locate.conf
file specifies the behavior of
.Xr locate.updatedb 8 ,
which creates the
.Xr locate 1
database.
.Pp
The
.Nm
file contains a list of newline separated records,
each of which is composed of a keyword and arguments,
which are separated by white space.
Lines beginning with
.Dq #
are treated as comments and ignored.
However, a
.Dq #
in the middle of a line does not start comment.
.Pp
The configuration options are as follows:
.Bl -tag -width XXXXXX
.It Sy ignore Ar pattern ...
Ignore files or directories.
When building the database,
do not descend into files or directories
which match one of the specified patterns.
The matched files or directories are not stored to the database.
.Pp
Default: Not specified.
.It Sy ignorecontents Ar pattern ...
Ignore contents of directories.
When building the database,
do not descend into files or directories
which match one of the specified patterns.
The matched files or directories themselves are stored to the database.
.Pp
Default: Not specified.
.It Sy ignorefs Ar type ...
Ignore file system by type,
adding
.Ar type
to the default list.
When building the database,
do not descend into file systems which are of the specified
.Ar type .
The mount points are not stored to the database.
If a
.Dq \&!
is prepended to
.Ar type ,
the meaning is negated,
that is, ignore file systems which do not have the type.
As a special case, if
.Dq none
is specified for
.Ar type ,
the
.Sy ignorefs
list is cleared and all file systems are traversed.
.Pp
.Ar type
is used as an argument to
.Xr find 1
.Fl fstype .
The
.Xr sysctl 8
command can be used to find out the types of file systems
that are available on the system:
.Bd -literal -offset indent
sysctl vfs.generic.fstypes
.Ed
.Pp
Default: !local cd9660 fdesc kernfs procfs
.It Sy searchpath Ar directory ...
Specify base directories to be put in the database.
.Pp
Default: /
.It Sy workdir Ar directory
Specify the working directory of locate.updatedb,
in which a temporary file is placed.
The temporary file is a list of all files,
and you should specify a directory that has enough space to hold it.
.Pp
Default: /tmp
.El
.Pp
Refer to
.Xr find 1
for the details of
.Ar pattern
(see
.Fl path
expression)
and
.Ar type
(see
.Fl fstype
expression).
.Sh FILES
.Bl -tag -width /usr/libexec/locate.updatedb -compact
.It Pa /etc/locate.conf
The file
.Nm
resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr find 1 ,
.Xr locate 1 ,
.Xr locate.updatedb 8 ,
.Xr sysctl 8
.Sh HISTORY
The
.Nm
file format first appeared in
.Nx 2.0 .
.Sh AUTHORS
.An ITOH Yasufumi Aq itohy@NetBSD.org
